> ## Documentation Index
> Fetch the complete documentation index at: https://failfast.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List calendar events



## OpenAPI

````yaml /api-reference/openapi.json get /task/calendar/
openapi: 3.0.3
info:
  title: Fail Fast API
  version: v1
  description: >-
    REST API for the Fail Fast platform. Authenticate with a workspace API key
    sent as a bearer token. Every response uses the `{message, error, data}`
    envelope.
servers:
  - url: https://api.failfast.ai
security: []
paths:
  /task/calendar/:
    get:
      tags:
        - Tasks and calendar
      summary: List calendar events
      operationId: task_calendar_list
      parameters:
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: take
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: fields
          in: query
          required: false
          description: >-
            Comma-separated list of fields to include in each result (sparse
            fieldsets).
          schema:
            type: string
        - name: sort
          in: query
          required: false
          description: >-
            Comma-separated sort fields. Prefix a field with '-' for descending
            order.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - error
                  - data
                properties:
                  message:
                    type: string
                    description: Human-readable outcome of the request.
                  error:
                    type: boolean
                    description: true when the request failed.
                    example: false
                  data:
                    $ref: '#/components/schemas/PaginatedCalendarList'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    PaginatedCalendarList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/Calendar'
    Calendar:
      type: object
      description: |-
        A ModelSerializer that takes an additional `fields` argument that
        controls which fields should be displayed.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        custom_fields:
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        audit_status:
          allOf:
            - $ref: '#/components/schemas/AuditStatusEnum'
          readOnly: true
        provider:
          $ref: '#/components/schemas/ProviderEnum'
        external_event:
          type: string
          nullable: true
          maxLength: 255
        external_calendar:
          type: string
          nullable: true
        title:
          type: string
        description:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        meeting_url:
          type: string
          nullable: true
        start_at:
          type: string
          format: date-time
        end_at:
          type: string
          format: date-time
        timezone:
          type: string
          nullable: true
          maxLength: 50
        status:
          $ref: '#/components/schemas/CalendarStatusEnum'
        organizer_email:
          type: string
          nullable: true
          maxLength: 255
        stakeholder_values:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        last_synced_at:
          type: string
          format: date-time
          nullable: true
        sync_state:
          $ref: '#/components/schemas/SyncStateEnum'
        meta:
          nullable: true
        member:
          type: string
          format: uuid
          readOnly: true
        created_by:
          type: string
          format: uuid
          readOnly: true
        updated_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        deleted_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        api_provider:
          type: string
          format: uuid
      required:
        - api_provider
        - audit_status
        - created_at
        - created_by
        - deleted_at
        - deleted_by
        - end_at
        - id
        - member
        - start_at
        - title
        - updated_at
        - updated_by
    AuditStatusEnum:
      enum:
        - C
        - U
        - D
      type: string
      description: |-
        * `C` - Created
        * `U` - Updated
        * `D` - Deleted
    ProviderEnum:
      enum:
        - G
      type: string
      description: '* `G` - Google'
    CalendarStatusEnum:
      enum:
        - S
        - C
        - D
      type: string
      description: |-
        * `S` - Scheduled
        * `C` - Canceled
        * `D` - Done
    SyncStateEnum:
      enum:
        - OK
        - NA
        - ER
      type: string
      description: |-
        * `OK` - Ok
        * `NA` - Needs Attention
        * `ER` - Error
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Workspace API key sent as a bearer token: `Authorization: Bearer
        failfast_...`. Create keys in Settings -> Workspace -> API Keys.

````